Bug 1258142 - DejaGnu kills the wrong process due to PID-reuse races
DejaGnu kills the wrong process due to PID-reuse races
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dejagnu (Show other bugs)
21
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matej Mužila
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 11:07 EDT by Jan Kratochvil
Modified: 2015-11-24 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version: dejagnu-1.5.3-3.fc23 dejagnu-1.5.3-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 12:06:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2015-08-29 11:07:10 EDT
[PATCH] DejaGnu kills the wrong process due to PID-reuse races
https://lists.gnu.org/archive/html/dejagnu/2015-07/msg00000.html
->
http://git.savannah.gnu.org/gitweb/?p=dejagnu.git;a=commitdiff;h=e7d7a3e0b0cda9194c192e979f4ecc8dcfb010b3

Please backport/rebase for existing Fedora releases, at least for Rawhide.
Comment 1 Fedora Update System 2015-08-31 07:33:09 EDT
dejagnu-1.5.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14644
Comment 2 Fedora Update System 2015-08-31 07:34:44 EDT
dejagnu-1.5.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14645
Comment 3 Fedora Update System 2015-08-31 07:36:45 EDT
dejagnu-1.5.3-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14646
Comment 4 Fedora Update System 2015-09-01 05:58:19 EDT
dejagnu-1.5.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dejagnu'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14645
Comment 5 Fedora Update System 2015-09-01 06:04:47 EDT
dejagnu-1.5.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dejagnu'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14644
Comment 6 Fedora Update System 2015-09-01 11:49:37 EDT
dejagnu-1.5.3-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dejagnu'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14646
Comment 7 Fedora Update System 2015-10-01 12:06:46 EDT
dejagnu-1.5.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-24 17:25:22 EST
dejagnu-1.5.3-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.